Subject: Re: [PATCH v2 2/3] remote-helpers: move out of contrib

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Apr 2014 14:42:45 -0700

Felipe Contreras <[email-masked]> writes:

>> Does this change relate to the moving of main scripts, and if so
>> how?
>
> Yes.
>
> Before the scripts were not generated, the shebang was '/usr/bin/env python',
> that means if the user doesn't have 'python' but 'python2' git-remote-hg would
> fail, even if the user did PYTHON_PATH=python2, therefore the test scripts
> should fail too, and that's the reason 'python' is used in the test scripts.

Ahh, OK, I agree that is a sensible change, then.  I would think
that deserves to be explained in the proposed log message, though.